/***********************************************************************/
/*                                                                     */
/*  FILE        :intprg.c                                              */
/*  DATE        :Tue, Sep 06, 2011                                     */
/*  DESCRIPTION :Interrupt Program                                     */
/*  CPU TYPE    :RX630                                                 */
/*                                                                     */
/*  This file is generated by Renesas Project Generator (Ver.4.52).    */
/*  NOTE:THIS IS A TYPICAL EXAMPLE.                                    */
/*                                                                     */
/***********************************************************************/
/************************************************************************
*
* Device     : RX/RX600/RX630
*
* File Name  : intprg.c
*
* Abstract   : Interrupt Program.
*
* History    : 0.10  (2010-10-06)  [Hardware Manual Revision : 0.11] 
*
* NOTE       : THIS IS A TYPICAL EXAMPLE.
*
*  Copyright (C) 2010 Renesas Electronics Corporation and
*  Renesas Solutions Corp. All rights reserved.
*
************************************************************************/

#include <machine.h>
#include "vect.h"
#pragma section IntPRG

// Exception(Supervisor Instruction)
void Excep_SuperVisorInst(void){/* brk(){  } */}

// Exception(Undefined Instruction)
void Excep_UndefinedInst(void){/* brk(){  } */}

// Exception(Floating Point)
void Excep_FloatingPoint(void){/* brk(){  } */}

// NMI
void NonMaskableInterrupt(void){/* brk(){  } */}

// Dummy
void Dummy(void){/* brk(){  } */}

// BRK
void Excep_BRK(void){ wait(); }

// BUSERR
void Excep_BUSERR(void){ }

// FCU_FCUERR
void Excep_FCU_FCUERR(void){ }

// FCU_FRDYI
void Excep_FCU_FRDYI(void){ }

// ICU_SWINT
void Excep_ICU_SWINT(void){  }

// CMTU0_CMT0
void Excep_CMTU0_CMT0(void){  }

// CMTU0_CMT1
void Excep_CMTU0_CMT1(void){  }

// CMTU1_CMT2
void Excep_CMTU1_CMT2(void){  }

// CMTU1_CMT3
void Excep_CMTU1_CMT3(void){  }

// USB0_D0FIFO0
void Excep_USB0_D0FIFO0(void){  }

// USB0_D1FIFO0
void Excep_USB0_D1FIFO0(void){  }

// USB0_USBI0
void Excep_USB0_USBI0(void){  }

// RSPI0_SPRI0
void Excep_RSPI0_SPRI0(void){  }

// RSPI0_SPTI0
void Excep_RSPI0_SPTI0(void){  }

// RSPI0_SPII0
void Excep_RSPI0_SPII0(void){  }

// RSPI1_SPRI1
void Excep_RSPI1_SPRI1(void){  }

// RSPI1_SPTI1
void Excep_RSPI1_SPTI1(void){  }

// RSPI1_SPII1
void Excep_RSPI1_SPII1(void){  }

// RSPI2_SPRI2
void Excep_RSPI2_SPRI2(void){  }

// RSPI2_SPTI2
void Excep_RSPI2_SPTI2(void){  }

// RSPI2_SPII2
void Excep_RSPI2_SPII2(void){  }

// CAN0_RXF0
void Excep_CAN0_RXF0(void){  }

// CAN0_TXF0
void Excep_CAN0_TXF0(void){  }

// CAN0_RXM0
void Excep_CAN0_RXM0(void){  }

// CAN0_TXM0
void Excep_CAN0_TXM0(void){  }

// CAN1_RXF1
void Excep_CAN1_RXF1(void){  }

// CAN1_TXF1
void Excep_CAN1_TXF1(void){  }

// CAN1_RXM1
void Excep_CAN1_RXM1(void){  }

// CAN1_TXM1
void Excep_CAN1_TXM1(void){  }

// CAN2_RXF2
void Excep_CAN2_RXF2(void){  }

// CAN2_TXF2
void Excep_CAN2_TXF2(void){  }

// CAN2_RXM2
void Excep_CAN2_RXM2(void){  }

// CAN2_TXM2
void Excep_CAN2_TXM2(void){  }

// RTC_COUNTUP
void Excep_RTC_COUNTUP(void){  }

// IRQ0
void Excep_IRQ0(void){  }

// IRQ1
void Excep_IRQ1(void){  }

// IRQ2
void Excep_IRQ2(void){  }

// IRQ3
void Excep_IRQ3(void){  }

// IRQ4
void Excep_IRQ4(void){  }

// IRQ5
void Excep_IRQ5(void){  }

// IRQ6
void Excep_IRQ6(void){  }

// IRQ7
void Excep_IRQ7(void){  }

// IRQ8
void Excep_IRQ8(void){  }

// IRQ9
void Excep_IRQ9(void){  }

// IRQ10
void Excep_IRQ10(void){  }

// IRQ11
void Excep_IRQ11(void){  }

// IRQ12
void Excep_IRQ12(void){  }

// IRQ13
void Excep_IRQ13(void){  }

// IRQ14
void Excep_IRQ14(void){  }

// IRQ15
void Excep_IRQ15(void){  }

// USB_USBR0
void Excep_USB_USBR0(void){  }

// RTC_ALARM
void Excep_RTC_ALARM(void){  }

// RTC_SLEEP
void Excep_RTC_SLEEP(void){  }

// AD0_ADI0
void Excep_AD0_ADI0(void){  }

// S12AD0_S12ADI0
void Excep_S12AD0_S12ADI0(void){  }

// ICU_GE0
void Excep_ICU_GE0(void){  }

// ICU_GE1
void Excep_ICU_GE1(void){  }

// ICU_GE2
void Excep_ICU_GE2(void){  }

// ICU_GE3
void Excep_ICU_GE3(void){  }

// ICU_GE4
void Excep_ICU_GE4(void){  }

// ICU_GE5
void Excep_ICU_GE5(void){  }

// ICU_GE6
void Excep_ICU_GE6(void){  }

// vector 113 reserved

// ICU_GL0
void Excep_ICU_GL0(void){  }

// SCIX_SCIX0
void Excep_SCIX_SCIX0(void){  }

// SCIX_SCIX1
void Excep_SCIX_SCIX1(void){  }

// SCIX_SCIX2
void Excep_SCIX_SCIX2(void){  }

// SCIX_SCIX3
void Excep_SCIX_SCIX3(void){  }

// TPU0_TGI0A
void Excep_TPU0_TGI0A(void){  }

// TPU0_TGI0B
void Excep_TPU0_TGI0B(void){  }

// TPU0_TGI0C
void Excep_TPU0_TGI0C(void){  }

// TPU0_TGI0D
void Excep_TPU0_TGI0D(void){  }

// TPU1_TGI1A
void Excep_TPU1_TGI1A(void){  }

// TPU1_TGI1B
void Excep_TPU1_TGI1B(void){  }

// TPU2_TGI2A
void Excep_TPU2_TGI2A(void){  }

// TPU2_TGI2B
void Excep_TPU2_TGI2B(void){  }

// TPU3_TGI3A
void Excep_TPU3_TGI3A(void){  }

// TPU3_TGI3B
void Excep_TPU3_TGI3B(void){  }

// TPU3_TGI3C
void Excep_TPU3_TGI3C(void){  }

// TPU3_TGI3D
void Excep_TPU3_TGI3D(void){  }

// TPU4_TGI4A
void Excep_TPU4_TGI4A(void){  }

// TPU4_TGI4B
void Excep_TPU4_TGI4B(void){  }

// TPU5_TGI5A
void Excep_TPU5_TGI5A(void){  }

// TPU5_TGI5B
void Excep_TPU5_TGI5B(void){  }

// TPU6_TGI6A
void Excep_TPU6_TGI6A(void){  }

// TPU6_TGI6B
void Excep_TPU6_TGI6B(void){  }

// TPU6_TGI6C
void Excep_TPU6_TGI6C(void){  }

// TPU6_TGI6D
void Excep_TPU6_TGI6D(void){  }

///#############################################
// MTU0_TGIA0
void Excep_MTU0_TGIA0(void){  }

// MTU0_TGIB0
void Excep_MTU0_TGIB0(void){  }

// MTU0_TGIC0
void Excep_MTU0_TGIC0(void){  }

// MTU0_TGID0
void Excep_MTU0_TGID0(void){  }
///##############################################

// MTU0_TGIE0
void Excep_MTU0_TGIE0(void){  }

// MTU0_TGIF0
void Excep_MTU0_TGIF0(void){  }

// TPU7_TGI7A
void Excep_TPU7_TGI7A(void){  }

// TPU7_TGI7B
void Excep_TPU7_TGI7B(void){  }

///##############################################
// MTU1_TGIA1
void Excep_MTU1_TGIA1(void){  }

// MTU1_TGIB1
void Excep_MTU1_TGIB1(void){  }
///##############################################

// TPU8_TGI8A
void Excep_TPU8_TGI8A(void){  }

// TPU8_TGI8B
void Excep_TPU8_TGI8B(void){  }

///##############################################
// TPU8_TGIA2
void Excep_MTU2_TGIA2(void){  }

// TPU8_TGIB2
void Excep_MTU2_TGIB2(void){  }
///##############################################
// TPU8_TGI9A
void Excep_TPU9_TGI9A(void){  }

// TPU9_TGI9B
void Excep_TPU9_TGI9B(void){  }

// TPU9_TGI9C
void Excep_TPU9_TGI9C(void){  }

// TPU9_TGI9D
void Excep_TPU9_TGI9D(void){  }

///##############################################
// MTU3_TGIA3
void Excep_MTU3_TGIA3(void){  }

// MTU3_TGIB3
void Excep_MTU3_TGIB3(void){  }

// MTU3_TGIC3
void Excep_MTU3_TGIC3(void){  }

// MTU3_TGID3
void Excep_MTU3_TGID3(void){  }
///##############################################
// TPU10_TGI10A
void Excep_TPU10_TGI10A(void){  }

// TPU10_TGI10B
void Excep_TPU10_TGI10B(void){  }
///##############################################
// MTU4_TGIA4
void Excep_MTU4_TGIA4(void){  }

// MTU4_TGIB4
void Excep_MTU4_TGIB4(void){  }
///##############################################
// MTU4_TGIC4
void Excep_MTU4_TGIC4(void){  }

// MTU4_TGID4
void Excep_MTU4_TGID4(void){  }

// MTU4_TGIV4
void Excep_MTU4_TGIV4(void){  }

// TPU11_TGI11A
void Excep_TPU11_TGI11A(void){  }

// TPU11_TGI11B
void Excep_TPU11_TGI11B(void){  }

///##############################################
// MTU5_TGIU5
void Excep_MTU5_TGIU5(void){  }

// MTU5_TGIV5
void Excep_MTU5_TGIV5(void){  }

// MTU5_TGIW5
void Excep_MTU5_TGIW5(void){  }
///##############################################
// POE_OEI1
void Excep_POE_OEI1(void){  }

// POE_OEI2
void Excep_POE_OEI2(void){  }

// TMR0_CMIA0
void Excep_TMR0_CMIA0(void){  }

// TMR0_CMIB0
void Excep_TMR0_CMIB0(void){  }

// TMR0_OVI0
void Excep_TMR0_OVI0(void){  }

// TMR1_CMIA1
void Excep_TMR1_CMIA1(void){  }

// TMR1_CMIB1
void Excep_TMR1_CMIB1(void){  }

// TMR1_OVI1
void Excep_TMR1_OVI1(void){  }

// TMR2_CMIA2
void Excep_TMR2_CMIA2(void){  }

// TMR2_CMIB2
void Excep_TMR2_CMIB2(void){  }

// TMR2_OVI2
void Excep_TMR2_OVI2(void){  }

// TMR3_CMIA3
void Excep_TMR3_CMIA3(void){  }

// TMR3_CMIB3
void Excep_TMR3_CMIB3(void){  }

// TMR3_OVI3
void Excep_TMR3_OVI3(void){  }

// RIIC0_EEI0
void Excep_RIIC0_EEI0(void){  }

// RIIC0_RXI0
void Excep_RIIC0_RXI0(void){  }

// RIIC0_TXI0
void Excep_RIIC0_TXI0(void){  }

// RIIC0_TEI0
void Excep_RIIC0_TEI0(void){  }

// RIIC1_EEI1
void Excep_RIIC1_EEI1(void){  }

// RIIC1_RXI1
void Excep_RIIC1_RXI1(void){  }

// RIIC1_TXI1
void Excep_RIIC1_TXI1(void){  }

// RIIC1_TEI1
void Excep_RIIC1_TEI1(void){  }

// RIIC2_EEI2
void Excep_RIIC2_EEI2(void){  }

// RIIC2_RXI2
void Excep_RIIC2_RXI2(void){  }

// RIIC2_TXI2
void Excep_RIIC2_TXI2(void){  }

// RIIC2_TEI2
void Excep_RIIC2_TEI2(void){  }

// RIIC3_EEI3
void Excep_RIIC3_EEI3(void){  }

// RIIC3_RXI3
void Excep_RIIC3_RXI3(void){  }

// RIIC3_TXI3
void Excep_RIIC3_TXI3(void){  }

// RIIC3_TEI3
void Excep_RIIC3_TEI3(void){  }

// DMAC_DMAC0I
void Excep_DMAC_DMAC0I(void){  }

// DMAC_DMAC1I
void Excep_DMAC_DMAC1I(void){  }

// DMAC_DMAC2I
void Excep_DMAC_DMAC2I(void){  }

// DMAC_DMAC3I
void Excep_DMAC_DMAC3I(void){  }

// SCI0_RXI0
void Excep_SCI0_RXI0(void){  }

// SCI0_TXI0
void Excep_SCI0_TXI0(void){  }

// SCI0_TEI0
void Excep_SCI0_TEI0(void){  }

// SCI1_RXI1
void Excep_SCI1_RXI1(void){  }

// SCI1_TXI1
void Excep_SCI1_TXI1(void){  }

// SCI1_TEI1
void Excep_SCI1_TEI1(void){  }

// SCI2_RXI2
void Excep_SCI2_RXI2(void){  }

// SCI2_TXI2
void Excep_SCI2_TXI2(void){  }

// SCI2_TEI2
void Excep_SCI2_TEI2(void){  }

// SCI3_RXI3
void Excep_SCI3_RXI3(void){  }

// SCI3_TXI3
void Excep_SCI3_TXI3(void){  }

// SCI3_TEI3
void Excep_SCI3_TEI3(void){  }

// SCI4_RXI4
void Excep_SCI4_RXI4(void){  }

// SCI4_TXI4
void Excep_SCI4_TXI4(void){  }

// SCI4_TEI4
void Excep_SCI4_TEI4(void){  }

// SCI5_RXI5
void Excep_SCI5_RXI5(void){  }

// SCI5_TXI5
void Excep_SCI5_TXI5(void){  }

// SCI5_TEI5
void Excep_SCI5_TEI5(void){  }

// SCI6_RXI6
void Excep_SCI6_RXI6(void){  }

// SCI6_TXI6
void Excep_SCI6_TXI6(void){  }

// SCI6_TEI6
void Excep_SCI6_TEI6(void){  }

// SCI7_RXI7
void Excep_SCI7_RXI7(void){  }

// SCI7_TXI7
void Excep_SCI7_TXI7(void){  }

// SCI7_TEI7
void Excep_SCI7_TEI7(void){  }

// SCI8_RXI8
void Excep_SCI8_RXI8(void){  }

// SCI8_TXI8
void Excep_SCI8_TXI8(void){  }

// SCI8_TEI8
void Excep_SCI8_TEI8(void){  }

// SCI9_RXI9
void Excep_SCI9_RXI9(void){  }

// SCI9_TXI9
void Excep_SCI9_TXI9(void){  }

// SCI9_TEI9
void Excep_SCI9_TEI9(void){  }

// SCI10_RXI10
void Excep_SCI10_RXI10(void){  }

// SCI10_TXI10
void Excep_SCI10_TXI10(void){  }

// SCI10_TEI10
void Excep_SCI10_TEI10(void){  }

// SCI11_RXI11
void Excep_SCI11_RXI11(void){  }

// SCI11_TXI11
void Excep_SCI11_TXI11(void){  }

// SCI11_TEI11
void Excep_SCI11_TEI11(void){  }

// SCI12_RXI12
void Excep_SCI12_RXI12(void){  }

// SCI12_TXI12
void Excep_SCI12_TXI12(void){  }

// SCI12_TEI12
void Excep_SCI12_TEI12(void){  }

// IEB_IEBINT
void Excep_IEB_IEBINT(void){  }
