/*********************************************************************
*                     SEGGER Microcontroller GmbH                    *
*                        The Embedded Experts                        *
**********************************************************************
*                                                                    *
*       (c) 1995 - 2025 SEGGER Microcontroller GmbH                  *
*                                                                    *
*       Internet: segger.com  Support: support_embos@segger.com      *
*                                                                    *
**********************************************************************
*                                                                    *
*       embOS * Real time operating system                           *
*                                                                    *
*       Please note:                                                 *
*                                                                    *
*       Knowledge of this file may under no circumstances            *
*       be used to write a similar product or a real-time            *
*       operating system for in-house use.                           *
*                                                                    *
*       Thank you for your fairness !                                *
*                                                                    *
**********************************************************************
*                                                                    *
*       OS version: V5.20.0.0                                        *
*                                                                    *
**********************************************************************

-------------------------- END-OF-HEADER -----------------------------
File    : JLINKRX.h
Purpose : Header file for J-Link RX communication using memory
*/

#ifndef JLINKMEM_H
#define JLINKMEM_H

#ifdef __cplusplus
extern "C" {
#endif

void JLINKRX_Process         (void);
void JLINKRX_SetpfOnRx       (void (* pf)(unsigned char Data));
void JLINKRX_SetpfOnTx       (unsigned char (* pf)(void));
void JLINKRX_SetpfGetNextChar(OS_INT (* pf)(void));
void JLINKRX_SendChar        (unsigned char Data);

#ifdef __cplusplus
}
#endif

#endif  // JLINKMEM_H

/*************************** End of file ****************************/
